ArrayList<TimerCore> timers = new ArrayList<TimerCore>();

void setup()
{
  size(800, 800);
  timers.add(new TextTimer(100, 100));
  timers.add(new ProgressTimer(100, 300));
}

void draw(){
  background(255);
  for(int i=0; i<timers.size(); i++){
    timers.get(i).display();
  }
}

void mousePressed()
{
  int num = (int)random(2);
  if(num == 0){
    timers.add(new TextTimer(mouseX, mouseY));
  } else if(num == 1){
    timers.add(new ProgressTimer(mouseX, mouseY));
  }
}
